#pragma once

#include <saas/rtyserver/indexer_core/abstract_model.h>
#include <saas/rtyserver/common/common_rty.h>
#include <saas/rtyserver/indexer_core/parsed_document.h>

class TIndexUpdater: public IIndexUpdater {
public:
    TIndexUpdater(IIndexController& Index);
    virtual bool UpdateDoc(ui32 docId, const TParsedDocument::TPtr doc) override;
    virtual bool RestoreDoc(ui32 docId, TParsedDocument::TPtr& doc) override;
    virtual void FinalizeUpdates() override { };
protected:
    IIndexController& Index;
};
